<HTML>
<HEAD>
<TITLE>JSONtext.lvlib:Colour Items of a JSON string control.vi</TITLE>
<META NAME="Author" CONTENT="">
<META NAME="GENERATOR" CONTENT="G Development Environment">
</HEAD>
<BODY BGCOLOR="#FFFFFF">
<A NAME="JSONtext.lvlib:Colour Items of a JSON string control.vi"></A><H2>JSONtext.lvlib:Colour Items of a JSON string control.vi</H2>
<P>Writes the input JSON to a string control and colour the elements for better readability.  Note that this may be slow for large JSON structures.  You may set a limit to number of elements that are actually coloured in order to ensure the VI completes in a reasonable amount of time (the default of -1 means no limit).</P>
<P><IMG SRC="Images/Colour Items of a JSON string controlc.png" ALT="JSONtext.lvlib:Colour Items of a JSON string control.vi"></P>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstr.png" ALT="cstr"></P>
</TD>
<TD>
<B>JSON</B> <P><a href="http://json.org">Input JSON</a>.  Optional &quot;Offset&quot; indicates an offset in this string pointing to the start of the JSON item to operate on.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/cstrrn.png" ALT="cstrrn"></P>
</TD>
<TD>
<B>String Control</B> <P>Control that will be set and coloured.</P>
</TD>
</TR>
</Table>
<Table>
<TR valign=TOP>
<TD>
<P><IMG SRC="Images/ci32.png" ALT="ci32"></P>
</TD>
<TD>
<B>Maximum UI Property calls</B> <P>Limits the number of property-node calls.</P>
</TD>
</TR>
</Table>
</BODY>
</HTML>

<p>See also <a href="Pages/JSONtext.html">JSONtext</a>.</p>
<p>For support please see <a title="[CR] JSONtext" href="https://lavag.org/topic/20236-cr-jsontext/" target="_blank" rel="noopener">[CR] JSONtext</a> and <a title="JSONtext Issues" href="https://bitbucket.org/drjdpowell/jsontext/issues?status=new&amp;status=open">Bitbucket Issue Tracker</a>.</p>